var five = require("johnny-five");
var Spark = require("../");
var keypress = require("keypress");

keypress(process.stdin);

var board = new five.Board({
  io: new Spark({
    token: process.env.SPARK_TOKEN,
    deviceId: process.env.SPARK_DEVICE_2
  })
});
board.on("ready", function() {
  var motors = new five.Motors([
    { pins: { pwm: "D0", dir: "D2" } },
    { pins: { pwm: "D1", dir: "D3" } },
  ]);

  process.stdin.resume();
  process.stdin.setEncoding("utf8");
  process.stdin.setRawMode(true);
  process.stdin.on("keypress", function(ch, key) {
    if (!key) {
      return;
    }
    if (key.name === "q") {
      process.exit();
    }
    if (key.name === "up") {
      motors.fwd(255);
    }
    if (key.name === "down") {
      motors.rev(255);
    }
    if (key.name === "left") {
      motors[0].fwd(127);
      motors[1].rev(127);
    }
    if (key.name === "right") {
      motors[0].rev(127);
      motors[1].fwd(127);
    }
    if (key.name === "space") {
      motors.stop();
    }
  });
});
