var five = require("johnny-five");
var Particle = require("../lib/particle");
var temporal = require("temporal");

// Create Johnny-Five board connected via Particle
var board = new five.Board({
  io: new Particle({
    token: process.env.PARTICLE_TOKEN,
    deviceId: process.env.PARTICLE_PHOTON_REDBOARD_1
  })
});


// The board's pins will not be accessible until
// the board has reported that it is ready
board.on("ready", function() {
  console.log("CONNECTED");

  // Create a new `servo` hardware instance.
  var servo  = new five.Servo("A5");



  temporal.queue([
    {
      delay: 0,
      task: function(){
        // min()
        //
        // set the servo to the minimum degrees
        // defaults to 0
        //
        servo.min();
      }
    },{
      delay: 1000,
      task: function(){
        // max()
        //
        // set the servo to the maximum degrees
        // defaults to 180
        //
        servo.max();
      }
    },{
      delay: 1000,
      task: function(){
        // center()
        //
        // centers the servo to 90°
        //
        servo.center();
      }
    },{
      delay: 1000,
      task: function(){
        process.exit(0);
        // step ( deg )
        //
        // Move servo relative to current position by degrees

      //   temporal.loop(500,function(){
      //     if(this.called > 10){
      //       process.exit(0);
      //       this.stop();
      //     }

      //     servo.step( 15 );
        // });
      }
    }
  ]);
});
